/**
 * load package
 */
import * as sass from 'sass'
import { minify } from 'csso'
import { outputFile } from 'fs-extra'
import { glob } from 'glob'


/**
 * main function
 */
(async () => {
  /**
   * collect available scss files
   */
  let files = await glob('./src/**/!(_)*.scss', {ignore: 'node_modules/**'})
  files = files.map(fname => (fname + '').replace(/\\/g, "\t").split("\t"))

  /**
   * convert scss to css
   */
  files.map(async (farr) => {
    let instr = farr.join('/')
    farr[0] = './dist'
    farr[farr.length - 1] = farr[farr.length - 1].replace('.scss', '.css')
    let outstr = farr.join('/')

    let cssText = await sass.compileAsync(instr, {
      style: 'expanded',
    })
    cssText = minify(cssText.css, {
      sourceMap: true,
    })

    outputFile(outstr, cssText.css)

    outputFile(outstr + '.map', cssText.map.toString())
  })
})()
