/**
 * load package
 */
import { build } from 'esbuild'
import { glob } from 'glob'


/**
 * main function
 */
(async () => {
  /**
   * collect available ts files
   */
  let files = await glob('./src/**/!(_)*.ts', {ignore: 'node_modules/**'})

  const shared = {
    entryPoints: files,
    outdir: 'dist/js',
    target: ['ES6'],
    bundle: true,
    minify: true,
    sourcemap: true,
    logLevel: 'info',
  }

  build({
    ...shared,
    format: 'esm',
  })
})()
